[users] mplayer on Centos 5.2 x86_64

Nicolas Thierry-Mieg Nicolas.Thierry-Mieg at imag.fr
Fri Nov 14 23:42:08 CET 2008



Nicolas Thierry-Mieg wrote:
> 
> 
> Rick wrote:
>> I'm having trouble installing mplayer on Centos 5.2:
>>
>>   Error: Missing Dependency: liblzo.so.1()(64bit) is needed by package 
>> mplayer
>>
>> Anybody have a solution for this?
>>
> 
> $ rpm -q --whatprovides liblzo.so.1\(\)\(64bit\)
> lzo-1.08-4.2.el5.rf.x86_64
> 
> your yum or apt setup is bad.
> I would guess yum priorities or protectbase.
> 

actually the computer I ran this on wasn't quite up to date, there's a 
newer version of lzo on rpmforge, but after upgrading it still provides 
that dependency.
$ rpm -q --whatprovides liblzo.so.1\(\)\(64bit\)
lzo-1.08-5.el5.rf.x86_64

since I checked it out, your problem likely comes from epel, they 
packaged lzo 2.x with the name lzo, while rpmforge provides separate 
packages lzo and lzo2.

you should be very careful when using epel together with any other repo, 
I suggest you just activate epel when you have a specific need and 
deactivate it afterwards (or the other way around, deactivate everything 
except epel).

so, solution: "downgrade" your epel lzo 2.x to the 
lzo-1.08-5.el5.rf.x86_64 package (and install the rf lzo2 if needed).




More information about the users mailing list